#!/usr/bin/env node
process.on('SIGINT', () => process.exit(1))

require('../check-version')('sl-core', function(err) {
  const path = require('path')
  const yParser = require('yargs-parser')
  const collect = require('../collect')

  const script = process.argv[2]
  const args = yParser(process.argv.slice(3))
  const help = () => require(path.join(__dirname, '../commands/help.js'))(args)

  collect(Object.assign({script, args}, args.user ? {user: args.user} : {}))

  switch(script) {
    case 'init': return require(path.join(__dirname, '../commands/init.js'))(args)
    case '-h':
    case 'help': return help()
    case '-v':
    case 'version': return console.log(require('../package').version)
    default: return require(path.join(__dirname, '../commands/builder.js'))(script, args, help)
  }
}, {updateAll: true})